varWeights {nlme} | R Documentation

## Extract Variance Function Weights

### Description

The inverse of the standard deviations corresponding to the variance function structure represented by `object` are returned.

### Usage

    varWeights(object)

### Arguments

`object` | an object inheriting from class `varFunc`, representing a variance function structure.

### Value

if `object` has a `weights` attribute, its value is returned; else `NULL` is returned.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J.C., and Bates, D.M. (2000) "Mixed-Effects Models in S and S-PLUS", Springer.

### See Also

`logLik.varFunc`, `varWeights`

### Examples

    vf1 <- varPower(form=~age)
    vf1 <- Initialize(vf1, Orthodont)
    coef(vf1) <- 0.3
    varWeights(vf1)[1:10]

[Package nlme version 3.1-128 Index]